Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class RangeInfo

Field Summary
`int` | `from`
`boolean` | `reverse`
`int` | `to`

Constructor Summary
`RangeInfo(int from, int to, boolean reverse)`

Method Summary
`static Collection` | `cloneSimilarCollection(Collection left, int newCapacity)`
`static Map` | `cloneSimilarMap(Map left)`
`static Collection` | `createSimilarCollection(Collection collection)`
`static Collection` | `createSimilarCollection(Collection collection, int newCapacity)`
`static List` | `createSimilarList(List left, int newCapacity)`
`static Collection` | `createSimilarOrDefaultCollection(Object object)`
`static Set` | `createSimilarSet(Set self)`
`static boolean` | `sameType(def cols)` Determines if all items of this array are of the same type.

Constructor Detail

### RangeInfo

    public RangeInfo(int from, int to, boolean reverse)

Method Detail

### cloneSimilarCollection

    static Collection cloneSimilarCollection(Collection left, int newCapacity)

### cloneSimilarMap

    static Map cloneSimilarMap(Map left)

### createSimilarCollection

    static Collection createSimilarCollection(Collection collection)

### createSimilarCollection

    static Collection createSimilarCollection(Collection collection, int newCapacity)

### createSimilarList

    static List createSimilarList(List left, int newCapacity)

### createSimilarOrDefaultCollection

    static Collection createSimilarOrDefaultCollection(Object object)

### createSimilarSet

    static Set createSimilarSet(Set self)

### sameType

    static boolean sameType(def cols)

  Determines if all items of this array are of the same type.
  param:
    cols an array of collections
  return:
    true if the collections are all of the same type